Bug 1464555 - package should provide Obsoletes:
Summary: package should provide Obsoletes:
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-backgrounds
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F26FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2017-06-23 18:18 UTC by Paul W. Frields
Modified: 2017-06-29 23:27 UTC (History)
5 users (show)

Fixed In Version: gnome-backgrounds-3.24.0-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-29 23:27:57 UTC


Attachments (Terms of Use)

Description Paul W. Frields 2017-06-23 18:18:07 UTC
gnome-backgrounds-3.24.0-2.fc26.src.rpm

According to this thread, upgrading users using the extra stock GNOME backgrounds will suffer a poor experience unless the gnome-backgrounds package adds:

Recommends: gnome-backgrounds-extras-%{version}-%{release}

Re: https://lists.fedoraproject.org/archives/list/desktop@lists.fedoraproject.org/thread/3XBTBJK3L4WVR23QIFZ7P4LIFE7RPDT2/#3XBTBJK3L4WVR23QIFZ7P4LIFE7RPDT2

Comment 1 Paul W. Frields 2017-06-23 21:45:48 UTC
Whoops, no cookie for me.  The real solution is apparently that *both* gnome-backgrounds and gnome-backgrounds-extras should do this:

Obsoletes: gnome-backgrounds < 3.24.0-1

This way both packages get pulled in on upgrade as expected.  Thanks to adamw for the right fix.

Comment 3 Fedora Update System 2017-06-25 16:16:36 UTC
gnome-backgrounds-3.24.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b9417fa936

Comment 4 Fedora Update System 2017-06-27 06:24:19 UTC
gnome-backgrounds-3.24.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b9417fa936

Comment 5 Fedora Blocker Bugs Application 2017-06-28 12:20:14 UTC
Proposed as a Freeze Exception for 26-final by Fedora user pfrields using the blocker tracking app because:

 Prevents upgrade situation where users's stock GNOME background disappears. Addresses proper installation + upgrade cases together correctly.

Comment 6 Adam Williamson 2017-06-29 19:33:56 UTC
Discussed at 2017-06-29 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-06-29/f26-blocker-review.2017-06-29-16.00.html . Accepted as an FE issue; pushing this out as a normal update would fix it for almost all upgrades, but we think there's value in pushing it now so people who upgrade between now and the 0-day update push get the correct packages.

Comment 7 Fedora Update System 2017-06-29 23:27:57 UTC
gnome-backgrounds-3.24.0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.